I posted this previously in the wrong forum...sorry....

I tried upgrading one of our servers to OES2 SP2. I followed the instructions in the documentation and tried to upgrade it via rug. Everything was fine until I tried to update it with the command "rug up -t patch -g recommended && rug ping -a". It came back with a bunch of errors that the source couldnt be found and such (I cant remember exactly, but it looked like dependency errors). I didnt want to mess things up so I decided to stop there and run the offline installation. Things were fine with that, until the eDirectory upgrade. The problem that we ran into is that this server is a VM on VMWare and has the VMXNet3 NIC on it. Problem is that SLES doesnt have the NIC driver for it and the eDirectory installation failed. But, the rest of the SLES10 SP3 and OES2 SP2 upgrades went through...

I booted the system back up and changed the NIC driver to the FLEXIBLE one so that it would pick up during the upgrade. I did that then ran through the offline upgrade process again. Of course, everything was already upgraded and when it came time to do the eDirectory part it goes through like it would when you are adding a new server to the tree. So I stopped there.

It seems to server is up and running fine, but Id like to complete the OES2SP2 upgrade process so its fully up to date.

When I try to run the "rug up -t patch -g recommended && rug ping -a" command again, it errors out saying:

ERROR: Dependency resolution failed:
Unresolved dependencies:
Installing patch:product-oes2-sp2-0-0.noarch[OES2-SP2-Online]
product:OPEN_ENTERPRISE_SERVER_SP2-2.0.2-0.i386[OES2-SP2-Online] provides Novell-Open-Enterprise-Server-SP2 == 2.0.2-0, but has another architecture.
There are no installable providers of Novell-Open-Enterprise-Server-SP2 >= 2.0.2-0 for patch:product-oes2-sp2-0-0.noarch[OES2-SP2-Online]
yast2-firstboot-2.13.11-0.4.12.noarch[SUSE Linux Enterprise Server 10 SP3] needed by patch:product-oes2-sp2-0-0.noarch[OES2-SP2-Online]
script:product-oes2-sp2-script.sh-0-0.noarch[OES2-SP2-Online] needed by patch:product-oes2-sp2-0-0.noarch[OES2-SP2-Online]
message:product-oes2-sp2-message-0-0.noarch[OES2-SP2-Online] needed by patch:product-oes2-sp2-0-0.noarch[OES2-SP2-Online]
glibc-dceext-2.4-31.64.2.i586[Novell Open Enterprise Server 2 SP2] needed by patch:product-oes2-sp2-0-0.noarch[OES2-SP2-Online]

Any help would be greatly appreciated!!! Im sure where to go from here...


PS...Update: I upgraded another server offline and that one ran through fine after changing the NIC to Flexible in VMWare. The only difference between the two, that I can find, is that error msg from that update listed above. Does anybody know how I can get rid of the patch for the server?